<?php

/*
 * This file is used for controlling the data for the newsletters page
 */

// Get all the newsletter data

$newsletters = get_option(self::$prefix . 'newsletters');

if ( false ===  $newsletters) {
	$newsletters = array();
}

if ( isset($_GET['newsletter_id']) ) {
	$edit_data = $newsletters[$_GET['newsletter_id']];
}

if ( !isset($edit_data) ) {
	$edit_data = array(
		'type'			=> 'wordpress',
		'mailchimp' 	=> array(
			'api_key'	=> '',
			'optin'		=> true,
		),
		'aweber' 		=> array(
			'consumer_key' 		=> '',
			'consumer_secret' 	=> '',
			'access_key' 		=> '',
			'access_secret' 	=> '',
			'account_id' 		=> '',
		),
		'getresponse'	=> array(
			'api_key' 		=> '',
		),
		'campaignmonitor'	=> array(
			'api_key'			=> '',
			'client' 			=> '',
		),
		'madmimi'		=> array(
			'api_key'			=> '',
			'username' 			=> '',
		),
		'infusionsoft'	=> array(
			'app_id'			=> '',
			'api_key' 			=> '',
		),
		'feedburner' 	=> array(
			'id'		=> ''
		)
	);
}

// Save newsletter data

if ( isset($_POST['submit']) && check_admin_referer(self::$prefix . 'newsletter_settings') ) {


}

require_once(NNROBOTS_OPTIN_FIRE_PLUGIN_DIR . 'admin/views/newsletters.php');